aha(1)

NAME
 aha - Ansi HTML Adapter

SYNOPSIS
aha [options] [-f file]

DESCRIPTION
aha takes SGR-colored Input and prints W3C conform HTML-Code.
aha reads the Input from a file or stdin and writes HTML-Code to stdout.

OPTIONS

--help , -h , -?
    A help like this

--black , -b
    Black Background and white "standard color"

--pink , -p
    Pink Background

--stylesheet , -s
    Use a stylesheet instead of inline styles

--iso X , -i X
    Uses ISO 8859-X instead of utf-8. X must be 1..16

--title X , -t X
    Gives the html output the title

--line-fix , -l
    Uses a fix for inputs using control sequences to change the cursor position like htop. It's a hot fix, it may not work with any program like htop. (See EXAMPLE)

--word-wrap , -w
    Wrap long lines in the html file. This works with CSS3 supporting browsers as well as many older ones.

--no-header , -n
    Don't include header into generated HTML, useful for inclusion in full HTML files.

EXAMPLE

aha --help | aha --black --title "the awesome aha help"> aha-help.htm
    Creates an HTML file with the help of aha with black background

colordiff oldfile.c newfile.c | aha > colordiff.htm
    Creates an HTML file with a colorful diff-output of two files "oldfile.c" and "newfile.c" with white background

ls --color=always | aha --pink > ls.htm
    Creates an HTML file with a colorful ls-output with pink background.

echo q | htop | aha --black --line-fix > htop.htm
    Creates an HTML file with the output of htop. You have to use --line-fix due the other new-line-commands htop uses.

AUTHOR
Copyleft Alexander Matthes aka Ziz 2015
zizsdl@googlemail.com

SEE ALSO
https://github.com/theZiz/aha